﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;

namespace SendProject
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();

        }
        Steema.TeeChart.Styles.Line line1;
        bool zoomed;
        int ZoomCount = 0;


        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            line1 = new Line(tChart1.Chart);
            line1.Color = Color.Blue;
            line1.FillSampleValues(100);
            tChart1.MouseClick += new MouseEventHandler(tChart1_MouseClick);
            tChart1.UndoneZoom += new EventHandler(tChart1_UndoneZoom);
            tChart1.Zoomed += new EventHandler(tChart1_Zoomed);
        }

        void tChart1_UndoneZoom(object sender, EventArgs e)
        {
            line1.Color = Color.Blue;
            ZoomCount = 1;
        }
        void tChart1_MouseClick(object sender, MouseEventArgs e)
        {
            if (zoomed)
            {
                if (ZoomCount == 2)
                {
                    line1.Color = Color.Green;
                }
                else if (ZoomCount == 4)
                {
                    line1.Color = Color.Red;
                }
                else if (ZoomCount == 6)
                {
                    line1.Color = Color.Black;
                }
            }
        }

        void tChart1_Zoomed(object sender, EventArgs e)
        {
            zoomed = true;
            ZoomCount++;
        }
    }
}
